<template>
  <label class="dibs--input--wrapper dibs--input--wrapper--checkbox">
    <input v-model="currentValue" type="checkbox" />
    <span class="dibs--input--checkmark"></span>
    <slot></slot>
  </label>
</template>
<script>
export default {
  props: {
    checked: {
      type: [Boolean, String],
      default: null,
    },
  },
  emits: {
    "update:modelValue": null,
  },
  data() {
    return {
      currentValue: this.checked,
    };
  },
  watch: {
    currentValue(checked) {
      this.$emit("update:modelValue", checked);
    },
  },
};
</script>
<style>
/* Style the dibs--input--checkmark/indicator */
.dibs--input--wrapper--checkbox .dibs--input--checkmark:after {
  top: 0.2em;
  width: 0.3em;
  height: 0.6em;
  border: solid var(--dibs-colors--accent);
  border-width: 0 0.1875em 0.1875em 0;
  transform: rotate(45deg);
}
</style>
